Bug 320931 - Logitech DiNovo bluetooth keyboard does not work on startup
Logitech DiNovo bluetooth keyboard does not work on startup
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-05 17:59 EDT by Per Thomas Jahr
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-15 06:13:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg (36.48 KB, text/plain)
2007-10-05 17:59 EDT, Per Thomas Jahr
no flags Details

  None (edit)
Description Per Thomas Jahr 2007-10-05 17:59:57 EDT
Description of problem:

I'm testing F8 test 3 live cd. With this version something has happened to the
bluetooth keyboard handling. My Logitech DiNovo bluetooth keyboard will not
respond at all and also it starts to blink (indicating that it hasn't
connected). The keyboard works fine with F7 and also F8 test 2. I could get the
keyboard to work again by removing and inserting the bluetooth dongle.

AFAIK, this is the only error I could see from dmesg (full dmesg attached):

WARNING: at drivers/hid/hid-core.c:784 implement() (Not tainted)
 [<c0406463>] show_trace_log_lvl+0x1a/0x2f
 [<c0406e4d>] show_trace+0x12/0x14
 [<c0406e65>] dump_stack+0x16/0x18
 [<c05b7239>] hid_output_report+0x22b/0x2c3
 [<c05bb9ce>] hid_submit_ctrl+0x57/0x1cf
 [<c05bbc8b>] usbhid_submit_report+0x145/0x168
 [<c05bdf06>] hiddev_ioctl+0x360/0x8d6
 [<c04942d1>] do_ioctl+0x51/0x68
 [<c0494531>] vfs_ioctl+0x249/0x25c
 [<c049458d>] sys_ioctl+0x49/0x64
 [<c040522e>] syscall_call+0x7/0xb

Also see this thread:

I'm running on Asus P5B-V motherboard.
Comment 1 Per Thomas Jahr 2007-10-05 17:59:57 EDT
Created attachment 218091 [details]
Comment 2 Per Thomas Jahr 2007-11-15 06:13:29 EST
Closing bug as this does not happen in the final version of F8.

Note You need to log in before you can comment on or make changes to this bug.